"""
Defines the BridgeException class, a custom exception for handling errors related to Philips Hue Bridge operations.
It is utilized for capturing and reporting various error conditions during interactions with the Hue Bridge.
"""


class BridgeException(Exception):
    """
    Custom exception class for errors related to Philips Hue Bridge operations.

    This class extends the base Exception class to provide a more specific exception type for handling errors
    encountered during interactions with the Philips Hue Bridge.
    """
